%define debug_package %{nil}
%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif
%define upstream_version 3.6.2.1

Summary: Nagios plugins to check logfiles on your local linux server
Name: monitor-plugin-check_logfiles
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: http://labs.consol.de/download/shinken-nagios-plugins/check_logfiles-%{upstream_version}.tar.gz
Requires: perl(Nagios::Plugin)
Requires: op5-httpd
Requires: op5-monitor-user
BuildRequires: automake
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
check_logfiles looks for patterns in logfiles, even in those
who were rotated since the last run of this plugin.
Retrieved from https://labs.consol.de/nagios/check_logfiles/.

%prep
%setup -q -n check_logfiles-%{upstream_version}

%build
aclocal
autoconf
automake
./configure --libexecdir=%{prefix} --libdir=%{prefix} --enable-perfdata \
	--with-seekfiles-dir=/opt/monitor/var/check_logfiles/seekfiles \
	--with-protocols-dir=/opt/monitor/var/check_logfiles/protocols
make

%install
mkdir -p %{buildroot}/%{prefix}/check_logfiles_configs
mkdir -p %{buildroot}/opt/monitor/var/check_logfiles/seekfiles
mkdir -p %{buildroot}/opt/monitor/var/check_logfiles/protocols
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%attr(0755, root, root) %{prefix}/check_logfiles
%dir %attr(0755,monitor,%{daemon_group}) /opt/monitor/var/check_logfiles
%dir %attr(0755,monitor,%{daemon_group}) /opt/monitor/var/check_logfiles/seekfiles
%dir %attr(0755,monitor,%{daemon_group}) /opt/monitor/var/check_logfiles/protocols
%dir %{prefix}/check_logfiles_configs

%changelog
* Tue May 19 2014 Martin Kamijo < mk@op5.com>
- Repackage for op5 distribution
